Log4jListener (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.listener, class: Log4jListener

# Class Log4jListener

java.lang.Object
org.apache.tools.ant.listener.Log4jListener

All Implemented Interfaces:
  `EventListener, BuildListener`

@Deprecated public class Log4jListener extends Object implements BuildListener
Deprecated.
Apache Log4j (1) is not developed any more. Last release is 1.2.17 from 26-May-2012 and contains vulnerability issues. Use the standard listener or your own custom listener instead.
Listener which sends events to Log4j logging system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOG_ANT`
  Deprecated.
  use MagicNames.ANT_CORE_PACKAGE

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Log4jListener()`
  Deprecated.
  Construct the listener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFinished(BuildEvent event)`
  Deprecated.
  Signals that the last target has finished.
  `void`
  `buildStarted(BuildEvent event)`
  Deprecated.
  Signals that a build has started.
  `void`
  `messageLogged(BuildEvent event)`
  Deprecated.
  Signals a message logging event.
  `void`
  `targetFinished(BuildEvent event)`
  Deprecated.
  Signals that a target has finished.
  `void`
  `targetStarted(BuildEvent event)`
  Deprecated.
  Signals that a target is starting.
  `void`
  `taskFinished(BuildEvent event)`
  Deprecated.
  Signals that a task has finished.
  `void`
  `taskStarted(BuildEvent event)`
  Deprecated.
  Signals that a task is starting.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG_ANT

    @Deprecated public static final String LOG_ANT
    Deprecated.
    use MagicNames.ANT_CORE_PACKAGE
    log category we log into
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Log4jListener

    public Log4jListener()
    Deprecated.
    Construct the listener

- ## Method Details

  - ### buildStarted

    public void buildStarted(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that a build has started. This event is fired before any targets have started.

    This event is fired before the project instance is fully configured. In particular no properties have been set and the project may not know its name or default target, yet.

    Specified by:
      `buildStarted` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### buildFinished

    public void buildFinished(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that the last target has finished. This event will still be fired if an error occurred during the build.
    Specified by:
      `buildFinished` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### targetStarted

    public void targetStarted(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that a target is starting.
    Specified by:
      `targetStarted` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### targetFinished

    public void targetFinished(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that a target has finished. This event will still be fired if an error occurred during the build.
    Specified by:
      `targetFinished` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### taskStarted

    public void taskStarted(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that a task is starting.
    Specified by:
      `taskStarted` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### taskFinished

    public void taskFinished(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals that a task has finished. This event will still be fired if an error occurred during the build.
    Specified by:
      `taskFinished` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .

  - ### messageLogged

    public void messageLogged(BuildEvent event)
    Deprecated.
    Description copied from interface: `BuildListener`
    Signals a message logging event.
    Specified by:
      `messageLogged` in interface `BuildListener`
    Parameters:
      `event` - An event with any relevant extra information. Must not be `null`.
    See Also:
      - .